Subject: bug#9987: [PATCH] groups,id: add -0, --null option

From: Pádraig Brady <[email-masked]>
Date: Mon, 16 Sep 2013 01:18:28 +0100

On 09/03/2013 07:35 AM, Bernhard Voelker wrote:
> On 09/02/2013 04:03 PM, Pádraig Brady wrote:
>> I'd not updated the TODO, but the details in 9987 above
>> suggested that -z, --zero would be better since most tools use that.
> 
> I'd personally prefer -0 because burning the -z short option may
> be problematic for future extensions while the only use of
> the -0 option in any program is "separate output by NULs".
> But I'm game if you prefer -z.

Yes please use -z, --zero for most consistency.
Note also the -O0 display issue and --nul being more accurate than --null

>> Also mentioned there was only honoring -z when the groups for
>> a single user were being output. I.E. no double NUL stuff.
>> But I'm not against the double NUL approach really.
> 
> thanks, then I'll keep it.
> 
>> It would be good I think to have a separate patch though
>> that aligned with other systems and didn't output the
>> "user:" at the start of the line when only a single user is specified.
> 
> Interestingly, groups(1) doesn't seem to be specified by the
> OpenGroup documents, only id(1):
>   http://pubs.opengroup.org/onlinepubs/9699919799/utilities/id.html
> Is there any other resource?
> 
> But I agree, outputting the "user:" prefix for only one argument
> seems to be silly.

If you could handle that as a separate patch it would be great.

thanks,
Pádraig.